Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 970 - Crash in nmbd occurs frequently (daily?)
Summary: Crash in nmbd occurs frequently (daily?)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba
Version: 5.2
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-26 21:04 UTC by Daniel Senie
Modified: 2013-08-27 21:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-05 18:29:42 UTC


Attachments (Terms of Use)

Description Daniel Senie 1999-01-26 21:04:47 UTC
log.nmb gets the following message in it:

1999/01/25 17:00:39 netbios nameserver version 1.9.18p10
started
Copyright Andrew Tridgell 1994-1997
============================================================
===
INTERNAL ERROR: Signal 11 in pid 26141 (1.9.18p10)
Please read the file BUGS.txt in the distribution
============================================================
===
Dumping core in /var/log/samba/corefiles

After which point systems no longer find the Linux machine
when they try to browse the network.

The backtrace in the core file shows:

Core was generated by `nmbd -D'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /lib/libnsl.so.1...done.
Reading symbols from /lib/libcrypt.so.1...done.
Reading symbols from /lib/libdl.so.2...done.
Reading symbols from /lib/libpam.so.0...done.
Reading symbols from /lib/libc.so.6...done.
Reading symbols from /lib/ld-linux.so.2...done.
Reading symbols from /lib/libnss_files.so.1...done.
#0  0x4008bae1 in chunk_free (ar_ptr=0x400e0420,
p=0x8097f20) at malloc.c:2969
malloc.c:2969: No such file or directory.
(gdb) bt
#0  0x4008bae1 in chunk_free (ar_ptr=0x400e0420,
p=0x8097f20) at malloc.c:2969
#1  0x4008b7c1 in __libc_free (mem=0x8097f28) at
malloc.c:2872
#2  0x805cecd in _start ()
#3  0x805cf0d in _start ()
#4  0x8060fcf in _start ()
#5  0x805e504 in _start ()
#6  0x805f070 in _start ()

If I can provide additional useful information, please let
me know. It appears this is either a bug of corrupted heap
(whereupon the free is blowing things up) or there's a
problem in the malloc/free library code.

Net result is toasted Samba at least once a day. Issuing the
command

    /etc/rc.d/init.d/smb restart

returns everything to operational state.

Comment 1 Bill Nottingham 1999-03-19 21:51:59 UTC
Could you see if the problem occurs with the latest samba (2.0.3)?

Comment 2 David Lawrence 1999-04-06 21:50:59 UTC
I was unable to get this to happen on a test machine with a fresh
install of 5.2 and samba-1.9.18p10-3. I will pass this on to a
developer for further review.

Comment 3 Jeff Johnson 1999-06-05 18:29:59 UTC
Please reopen if you can supply either a backtrace using a src.rpm
compiled with -g or a way to reproduce this problem.

Comment 4 CFME Bot 2013-08-27 21:36:12 UTC
Commit pushed to master at https://github.com/ManageIQ/cfme

https://github.com/ManageIQ/cfme/commit/5df0d3004c5c2aeffc9727a954e84583bb8519e5
Reformatted Automate Entry Point Instance Dialog
Issue #970
Bug 988993


Note You need to log in before you can comment on or make changes to this bug.